Bug 443360 - Need to update fonts path in jdk
Need to update fonts path in jdk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 01:41 EDT by Parag Nemade
Modified: 2008-04-29 10:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 10:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to update fonts path for CJK (3.35 KB, patch)
2008-04-21 01:55 EDT, Parag Nemade
no flags Details | Diff
Update fonts path both for CJK and DejaVu (3.14 KB, patch)
2008-04-23 04:38 EDT, Piotr Krawiec
no flags Details | Diff
Update fonts path both for CJKI and DejaVu (16.57 KB, patch)
2008-04-23 06:22 EDT, Parag Nemade
no flags Details | Diff

  None (edit)
Description Parag Nemade 2008-04-21 01:41:23 EDT
Description of problem:
 fonts path is now changed in rawhide and upstream is still using old fonts path
from FC6. Untar openjdk-6-src tarball and look into 
openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.Fedora.properties
and
openjdk/jdk/src/solaris/classes/sun/awt/fontconfigs/linux.fontconfig.properties

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-0.7.b08.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.goto http://www.pccl.demon.co.uk/java/unicode.html
2. click on top of applet to browse upwards unicodes characters.
3. can't see CJK fonts characters.
  
Actual results:
Can't see characters from Chinese, Japanese, Korean fonts

Expected results:
It should show characters from Chinese, Japanese, Korean fonts

Additional info:
 If we copy fonts to old fontpath given in linux.fontconfig.Fedora.properties
then we can see characters in that applet.
Comment 1 Parag Nemade 2008-04-21 01:55:51 EDT
Created attachment 303108 [details]
patch to update fonts path for CJK

This will update jdk to show CJK characters in Java applications on rawhide
Comment 2 Lillian Angel 2008-04-21 14:32:24 EDT
Thank you for the patch. It has been committed to the repository and will be
available in the next release.
Comment 3 Piotr Krawiec 2008-04-22 16:40:04 EDT
What about DejaVu fonts? Patch only changes the directory they are situated
("dejavu-lgc" to "dejavu"), but filenames are still invalid
("DejaVuLGCSansMono.ttf" instead of "DejaVuSansMono.ttf" etc.).
Comment 4 Parag Nemade 2008-04-22 23:48:55 EDT
1) My rawhide system showed me
rpm -qa | grep dejavu =>
dejavu-fonts-2.24-3.fc9.noarch
dejavu-lgc-fonts-2.24-3.fc9.noarch
dejavu-fonts-experimental-2.24-3.fc9.noarch

2)rpm -ql dejavu-lgc-fonts | grep ttf
/usr/share/fonts/dejavu/DejaVuLGCSans-Bold.ttf
/usr/share/fonts/dejavu/DejaVuLGCSans-BoldOblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSans-ExtraLight.ttf
/usr/share/fonts/dejavu/DejaVuLGCSans-Oblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSans.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansCondensed-Bold.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansCondensed-BoldOblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansCondensed-Oblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansCondensed.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansMono-Bold.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansMono-BoldOblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansMono-Oblique.ttf
/usr/share/fonts/dejavu/DejaVuLGCSansMono.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerif-Bold.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerif-BoldItalic.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerif-Italic.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerif.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerifCondensed-Bold.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerifCondensed-BoldItalic.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerifCondensed-Italic.ttf
/usr/share/fonts/dejavu/DejaVuLGCSerifCondensed.ttf

and
rpm -ql dejavu-fonts | grep ttf
/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf
/usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
/usr/share/fonts/dejavu/DejaVuSans.ttf
/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf
/usr/share/fonts/dejavu/DejaVuSansMono-BoldOblique.ttf
/usr/share/fonts/dejavu/DejaVuSansMono-Oblique.ttf
/usr/share/fonts/dejavu/DejaVuSansMono.ttf
/usr/share/fonts/dejavu/DejaVuSerif-Bold.ttf
/usr/share/fonts/dejavu/DejaVuSerif.ttf

So, patch is only correcting fonts filename path only.
Original linux.fontconfig.Fedora.properties file contains DejaVu LGC font
entries only.

For more about DejaVu just check spec of dejavu-fonts at
http://cvs.fedoraproject.org/viewcvs/rpms/dejavu-fonts/devel/

Comment 5 Jens Petersen 2008-04-23 01:24:02 EDT
Yes, I think patch needs updating to use dejavu-fonts rather than dejavu-lcg-fonts.
Comment 6 Piotr Krawiec 2008-04-23 04:33:04 EDT
[pkraw ~]$ rpm -qa|grep dejavu
dejavu-fonts-2.24-3.fc9.noarch
dejavu-fonts-experimental-2.24-3.fc9.noarch
[pkraw ~]$

And according to F9 beta release notes, "DejaVu full replaces DejaVu LGC as
default font set. DejaVu LGC is still available in the repo for users who prefer
it.".
Comment 7 Piotr Krawiec 2008-04-23 04:38:01 EDT
Created attachment 303455 [details]
Update fonts path both for CJK and DejaVu

Same patch as the one above, with DejaVuLGC replaced by DejaVu
Comment 8 Parag Nemade 2008-04-23 06:22:52 EDT
Created attachment 303477 [details]
Update fonts path both for CJKI and DejaVu

This is updated patch to update dejavu fonts path and add Indic scripts fonts
path. Tested this patch for Indic languages on my system.
Comment 9 Parag Nemade 2008-04-23 06:26:44 EDT
(In reply to comment #2)
> Thank you for the patch. It has been committed to the repository and will be
> available in the next release.

I can't see this patch in fedora package cvs. Did you committed this upstream?
Comment 10 Lillian Angel 2008-04-23 08:53:04 EDT
(In reply to comment #9)
> I can't see this patch in fedora package cvs. Did you committed this upstream?

It has been committed to the repo, and will be available in the next release. Not in cvs or rawhide yet.


Comment 11 Lillian Angel 2008-04-23 08:58:53 EDT
(In reply to comment #8)
> Created an attachment (id=303477) [edit]
> Update fonts path both for CJKI and DejaVu
> 
> This is updated patch to update dejavu fonts path and add Indic scripts fonts
> path. Tested this patch for Indic languages on my system.

I updated the patch to include these changes.

Thanks


Comment 12 Bill Nottingham 2008-04-29 10:39:50 EDT
Can't we port this to fontconfig? That patch just looks painful to maintain.

Note You need to log in before you can comment on or make changes to this bug.